Bug 474910 - Review Request: esperanza - A graphical audio player
Review Request: esperanza - A graphical audio player
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: 474908
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 16:22 EST by Tom "spot" Callaway
Modified: 2009-03-09 18:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4.0-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 18:49:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-12-05 16:22:55 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/esperanza.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/esperanza-0.4.0-1.fc11.src.rpm
Description: 
Esperanza is an audio player for the XMMS2 framework written with C++ and QT4.
It has a sleek, uncomplicated UI, and supports album art in the playlist.
Comment 1 Orcan Ogetbil 2008-12-11 03:39:50 EST
Let's make xmms2 a little more useful. Here's my notes:

- rpmlint says:
    esperanza.src:28: W: configure-without-libdir-spec
but I guess this can be safely ignored.

* There are binary translation files (.qm) in the tarball which need to be removed and rebuilt (via lrelease).

? Where are these translations going? Are they getting compiled into the final binary?
    
? I think the files data/text/*.html need to go to %doc (if they are not getting compiled into the binary but I couldn't find them within the application)

* Fedora specific flag "-fexceptions" is not passed to the compiler. The other flags are ok.
Comment 2 Tom "spot" Callaway 2009-03-05 12:46:34 EST
I think the translations are going into qrc_esperanza.cpp which is compiled into libdata.a, which gets shoved into esperanza.

The missing -fexception flags is because QT is not built with that flag:

# drop -fexceptions from $RPM_OPT_FLAGS
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's|-fexceptions||g'`

(from devel/qt.spec)

All of the optflags seem to be generated on the fly from qmake, and I'm honestly not sure how to override them to add this one back in...

With the exception of that, everything else is fixed here:

New SRPM: http://www.auroralinux.org/people/spot/review/new/esperanza-0.4.0-2.fc11.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/esperanza.spec
Comment 3 Orcan Ogetbil 2009-03-05 13:32:32 EST
OK. I believe everything is as good as it can be now.

--------------------------------------------
This package (esperanza) is APPROVED by oget
--------------------------------------------
Comment 4 Tom "spot" Callaway 2009-03-05 13:40:15 EST
New Package CVS Request
=======================
Package Name: esperanza
Short Description: A graphical audio player
Owners: spot
Branches: F-9 F-10 devel
InitialCC: 

... and it's done.
Comment 5 Fedora Update System 2009-03-05 15:36:40 EST
esperanza-0.4.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/esperanza-0.4.0-2.fc9
Comment 6 Fedora Update System 2009-03-05 15:36:45 EST
esperanza-0.4.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/esperanza-0.4.0-2.fc10
Comment 7 Fedora Update System 2009-03-09 18:48:58 EDT
esperanza-0.4.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-03-09 18:56:56 EDT
esperanza-0.4.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.